#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n;
    float B = 0, R, p1 = 0, zb;
    scanf("%d", &n);
    int a[n];
    float p[n];
    for(int i = 0; i < n; i++)
    {
        scanf("%d", &a[i]);
        scanf("%f", &p[i]);
    }
    for(int i = 0; i < n; i++)
        {
            zb = 0;
            R = 0;
            p1 = p[i];
            for(int i = 0; i < n; i++)
            {
                if(p1 <= p[i])
                    zb+= a[i];
            }
            R = zb * p[i] / 100.0;
            if(R > B)
                {
                    B = R;
                }
        }
    printf("%.5f", B);
    return 0;
}